﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MBIS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BASE_SHOPINFO') 
 CREATE TABLE T_BASE_SHOPINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(36) DEFAULT ' ' NOT NULL,
FBUSIFORMATFID BIGINT DEFAULT 0 NOT NULL,
FBUSIBRANDFID BIGINT DEFAULT 0 NOT NULL,
FBUSIAREAFID VARCHAR(36) DEFAULT ' ' NOT NULL,
FSHOPTYPEFID VARCHAR(36) DEFAULT ' ' NOT NULL,
FBUSITYPEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FLONGITUDE VARCHAR(20) DEFAULT ' ' NOT NULL,
FLATITUDE VARCHAR(20) DEFAULT ' ' NOT NULL,
FCOUNTRYAREAFID VARCHAR(36) DEFAULT ' ' NOT NULL,
FCITYFID VARCHAR(36) DEFAULT ' ' NOT NULL,
FPHONENO VARCHAR(50) DEFAULT ' ' NOT NULL,
FSHOPGRPFID BIGINT DEFAULT 0 NOT NULL,
FSHOPPICTURE VARCHAR(255) DEFAULT ' ' NOT NULL,
FSHOPLOGO VARCHAR(255) DEFAULT ' ' NOT NULL,
FCHARGEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BASE_SHOPINFO_L') 
 CREATE TABLE T_BASE_SHOPINFO_L (
FID INT DEFAULT 0 NOT NULL,
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BASE_SHOPINFOGROUP') 
 CREATE TABLE T_BASE_SHOPINFOGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(36) DEFAULT ' ' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FLEVEL INT DEFAULT 0 NOT NULL,
FLONGNUMBER VARCHAR(36) DEFAULT ' ' NOT NULL,
FISLEAF CHAR(1) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BASE_SHOPINFOGROUP_L') 
 CREATE TABLE T_BASE_SHOPINFOGROUP_L (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MBIS_table.sql **/
