﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\XML\branch_1.5.67\APAY_Table.sql **/


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_APAY_PARAM_CONFIG') 
 CREATE TABLE T_APAY_PARAM_CONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FCONFIGKEY VARCHAR(100) DEFAULT ' ' NOT NULL,
FCONFIGVALUE VARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FUPDATETIME DATETIME
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_APAY_MER_P') 
 CREATE TABLE T_APAY_MER_P (
FID BIGINT DEFAULT 0 NOT NULL,
FPIC15 VARCHAR(255) DEFAULT ' ',
FPIC22 VARCHAR(255) DEFAULT ' ',
FPIC3 VARCHAR(255) DEFAULT ' ',
FPIC4 VARCHAR(255) DEFAULT ' ',
FPIC5 VARCHAR(255) DEFAULT ' ',
FPIC20 VARCHAR(255) DEFAULT ' ',
FPIC21 VARCHAR(255) DEFAULT ' ',
FPIC19 VARCHAR(255) DEFAULT ' ',
FPIC23 VARCHAR(255) DEFAULT ' ',
FPIC24 VARCHAR(255) DEFAULT ' ',
FPIC7 VARCHAR(255) DEFAULT ' ',
FPIC8 VARCHAR(255) DEFAULT ' ',
FPIC9 VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_APAY_MER_CONF_L') 
 CREATE TABLE T_APAY_MER_CONF_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_APAY_MER_L') 
 CREATE TABLE T_APAY_MER_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FMERCHANTNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FMERCHANT VARCHAR(50) DEFAULT ' ' NOT NULL
);




IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_APAY_ISY_GROUP_L') 
 CREATE TABLE T_APAY_ISY_GROUP_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_APAY_ISY_L') 
 CREATE TABLE T_APAY_ISY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_APAY_ISY') 
 CREATE TABLE T_APAY_ISY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FMERCHANTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_APAY_ISY_GROUP') 
 CREATE TABLE T_APAY_ISY_GROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(1) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_APAY_MER_CONF') 
 CREATE TABLE T_APAY_MER_CONF (
FID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(1) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FMERCHANTID BIGINT DEFAULT 0 NOT NULL,
FMERCHANTNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZCLOUDCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZCLOUDMERCHANTNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FAESKEY VARCHAR(1000) DEFAULT ' ' NOT NULL,
FPLATFORMPUBLICKEY VARCHAR(2000) DEFAULT ' ' NOT NULL,
FMERCHANTPUBLICKEY VARCHAR(2000) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FMERCHANTPRIVATEKEY VARCHAR(2000) DEFAULT ' ' NOT NULL,
FWXAPPID VARCHAR(100) DEFAULT ' ' NOT NULL,
FWXMINIAPPID VARCHAR(100) DEFAULT ' ' NOT NULL
);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_APAY_MER_CONF' AND KSQL_COL_NAME ='FWXAPPID') 
 ALTER TABLE T_APAY_MER_CONF ADD  (FWXAPPID VARCHAR(100) DEFAULT ' ' );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_APAY_MER_CONF' AND KSQL_COL_NAME ='FWXMINIAPPID')
 ALTER TABLE T_APAY_MER_CONF ADD  (FWXMINIAPPID VARCHAR(100) DEFAULT ' ' ); 



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_APAY_MER') 
 CREATE TABLE T_APAY_MER (
FID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(1) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FAUDITMSG VARCHAR(300) DEFAULT ' ' NOT NULL,
FAUDITMSG_TAG VARCHAR(2000) DEFAULT ' ' NOT NULL,
FAUDITDATE DATETIME,
FOPERATETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FMERCHANTTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FMERCHANTNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FMERCHANTNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FMERCHANTSHORTNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMERCHANTMCCID BIGINT DEFAULT 0 NOT NULL,
FBIZCLOUDCODE VARCHAR(36) DEFAULT ' ' NOT NULL,
FMERCERTIFICATENO VARCHAR(50) DEFAULT ' ' NOT NULL,
FMERCERTIFICATENO_ENP VARCHAR(1000) DEFAULT ' ' NOT NULL,
FCUSTOMERSERVICEPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMERCHANTAREACODEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FMERCHANTADDRESS VARCHAR(300) DEFAULT ' ' NOT NULL,
FMERCERTIFICATETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FMERCHANTSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FBIZCLOUDMERCHANTNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FPARENTMERCHANTNO BIGINT DEFAULT 0 NOT NULL,
FBIZCLOUDCODE1 VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMMENT VARCHAR(500) DEFAULT ' ',
FORGFIELD BIGINT DEFAULT 0 NOT NULL,
FCRPIDEXPEND DATETIME,
FCRPIDEXPSTART DATETIME,
FCRPIDSTARTEXP DATETIME,
FMERCERTIFICATEEXPEND DATETIME,
FMERCERTIFICATEEXPSTART DATETIME,
FMERCERTIFICATESTARTEXP DATETIME,
FRECEIVERACCOUNTTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FMERCHANTSHORTNAME1 BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_APAY_MER' AND KSQL_COL_NAME ='FMERCHANTSHORTNAME1') 
 ALTER TABLE T_APAY_MER ADD  (FMERCHANTSHORTNAME1 BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_APAY_MER' AND KSQL_COL_NAME ='FPARENTMERCHANTNO') 
 ALTER TABLE T_APAY_MER ADD  ( FPARENTMERCHANTNO BIGINT DEFAULT 0 NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_APAY_MER_Q') 
 CREATE TABLE T_APAY_MER_Q (
FID BIGINT DEFAULT 0 NOT NULL,
FRECEIVERIDTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FRECEIVERIDNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FRECEIVERBANKADDRESSID VARCHAR(50) DEFAULT ' ' NOT NULL,
FRECEIVERIDNO_ENP VARCHAR(2000) DEFAULT ' ' NOT NULL,
FRECEIVERNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FRECEIVERACCOUNT VARCHAR(100) DEFAULT ' ' NOT NULL,
FRECEIVERBANKLINENOID BIGINT DEFAULT 0 NOT NULL,
FRECEIVERMOBILE VARCHAR(50) DEFAULT ' ' NOT NULL,
FRECEIVERACCOUNT_ENP VARCHAR(2000) DEFAULT ' ',
FCRPNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FCRPIDTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCRPIDNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCRPIDNO_ENP VARCHAR(2000) DEFAULT ' ' NOT NULL,
FCONTACTS VARCHAR(100) DEFAULT ' ' NOT NULL,
FCONTACTSIDNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTACTSIDNO_ENP VARCHAR(2000) DEFAULT ' ' NOT NULL,
FCONTACTSMAIL VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTACTSMOBILE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCRPIDEXPTYPE VARCHAR(30) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\XML\branch_1.5.67\APAY_Table.sql **/


/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\XML\branch_1.5.67\APAY_Table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'TK_APAY_DICT_CONFIG_TEST') 
 CREATE TABLE TK_APAY_DICT_CONFIG_TEST (
FID BIGINT DEFAULT 0 NOT NULL primary key,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'TK_APAY_DICT_CONFIG_TEST_L') 
 CREATE TABLE TK_APAY_DICT_CONFIG_TEST_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\XML\branch_1.5.67\APAY_Table.sql **/
