﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BASTAX_constraint.sql **/
 EXEC P_ALTERPK 'PK_BASTAX_TAXCODE', 'T_BASTAX_TAXCODE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BASTAX_TAXCODE') CREATE  CLUSTERED INDEX IDX_BASTAX_TAXCODE ON T_BASTAX_TAXCODE ( FORGID );


 EXEC P_ALTERPK 'PK_BASTAX_TAXCODE_L', 'T_BASTAX_TAXCODE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BASTAX_TAXCODE_L_0') CREATE  CLUSTERED INDEX IDX_BASTAX_TAXCODE_L_0 ON T_BASTAX_TAXCODE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_BASTAX_TAXCODE_TAXRATE', 'T_BASTAX_TAXCODE_TAXRATE', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BASTAX_TAXCODE_TAXRATE_FK') CREATE  CLUSTERED INDEX IDX_BASTAX_TAXCODE_TAXRATE_FK ON T_BASTAX_TAXCODE_TAXRATE ( FID );


 EXEC P_ALTERPK 'PK_BASTAX_TAXCODE_TYPE', 'T_BASTAX_TAXCODE_TYPE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BASTAX_TAXCODE_TYPE') CREATE  CLUSTERED INDEX IDX_BASTAX_TAXCODE_TYPE ON T_BASTAX_TAXCODE_TYPE ( FORGID );


 EXEC P_ALTERPK 'PK_BASTAX_TAXGROUP', 'T_BASTAX_TAXGROUP', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BASTAX_TAXGROUP') CREATE  CLUSTERED INDEX IDX_BASTAX_TAXGROUP ON T_BASTAX_TAXGROUP ( FORGID );


 EXEC P_ALTERPK 'PK_BASTAX_TAXGROUP_ENTRY', 'T_BASTAX_TAXGROUP_ENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BASTAX_TAXGROUP_ENTRY_FK') CREATE  CLUSTERED INDEX IDX_BASTAX_TAXGROUP_ENTRY_FK ON T_BASTAX_TAXGROUP_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_BASTAX_TAXGROUP_L', 'T_BASTAX_TAXGROUP_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BASTAX_TAXGROUP_L_0') CREATE  CLUSTERED INDEX IDX_BASTAX_TAXGROUP_L_0 ON T_BASTAX_TAXGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_BASTAX_TAXCODE_TYPE_L', 'T_BASTAX_TAXCODE_TYPE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BASTAX_TAXCODE_TYPE_L_0') CREATE  CLUSTERED INDEX IDX_BASTAX_TAXCODE_TYPE_L_0 ON T_BASTAX_TAXCODE_TYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_BASTAX_PARTY', 'T_BASTAX_PARTY', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BASTAX_PARTY') CREATE  CLUSTERED INDEX IDX_BASTAX_PARTY ON T_BASTAX_PARTY ( FORGID );


 EXEC P_ALTERPK 'PK_BASTAX_PARTY_L', 'T_BASTAX_PARTY_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BASTAX_PARTY_L_0') CREATE  CLUSTERED INDEX IDX_BASTAX_PARTY_L_0 ON T_BASTAX_PARTY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_BASTAX_PARTY_TYPE', 'T_BASTAX_PARTY_TYPE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BASTAX_PARTY_TYPE') CREATE  CLUSTERED INDEX IDX_BASTAX_PARTY_TYPE ON T_BASTAX_PARTY_TYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_BASTAX_PARTY_TYPE_L', 'T_BASTAX_PARTY_TYPE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BASTAX_PARTY_TYPE_L_0') CREATE  CLUSTERED INDEX IDX_BASTAX_PARTY_TYPE_L_0 ON T_BASTAX_PARTY_TYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_BASTAX_PROCESS', 'T_BASTAX_PROCESS', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BASTAX_PROCESS') CREATE  CLUSTERED INDEX IDX_BASTAX_PROCESS ON T_BASTAX_PROCESS ( FORGID );


 EXEC P_ALTERPK 'PK_BASTAX_PROCESS_L', 'T_BASTAX_PROCESS_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BASTAX_PROCESS_L_0') CREATE  CLUSTERED INDEX IDX_BASTAX_PROCESS_L_0 ON T_BASTAX_PROCESS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_BASTAX_PROCESS_TYPE', 'T_BASTAX_PROCESS_TYPE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BASTAX_PROCESS_TYPE') CREATE  CLUSTERED INDEX IDX_BASTAX_PROCESS_TYPE ON T_BASTAX_PROCESS_TYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_BASTAX_PROCESS_TYPE_L', 'T_BASTAX_PROCESS_TYPE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BASTAX_PROCESS_TYPE_L_0') CREATE  CLUSTERED INDEX IDX_BASTAX_PROCESS_TYPE_L_0 ON T_BASTAX_PROCESS_TYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_BASTAX_TAXPRODUCT', 'T_BASTAX_TAXPRODUCT', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BASTAX_TAXPRODUCT') CREATE  CLUSTERED INDEX IDX_BASTAX_TAXPRODUCT ON T_BASTAX_TAXPRODUCT ( FORGID );


 EXEC P_ALTERPK 'PK_BASTAX_TAXPRODUCT_L', 'T_BASTAX_TAXPRODUCT_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BASTAX_TAXPRODUCT_L_0') CREATE  CLUSTERED INDEX IDX_BASTAX_TAXPRODUCT_L_0 ON T_BASTAX_TAXPRODUCT_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BASTAX_constraint.sql **/
