﻿/**Begin D:\nextcloud\PDM_UPGRADE\PDM1\MBIS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CANCARDBILL') 
 CREATE TABLE T_VIP_CANCARDBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLSTATUS VARCHAR(1) DEFAULT ' ' NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CANCARDBILL_L') 
 CREATE TABLE T_VIP_CANCARDBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CANCARDBILLENTRY') 
 CREATE TABLE T_VIP_CANCARDBILLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CANCARDBILLENTRY2') 
 CREATE TABLE T_VIP_CANCARDBILLENTRY2 (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDACCTS') 
 CREATE TABLE T_VIP_CARDACCTS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISSUBACCOUNT CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDACCTTYPE') 
 CREATE TABLE T_VIP_CARDACCTTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FISSYSSET VARCHAR(30) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDACCTTYPE_L') 
 CREATE TABLE T_VIP_CARDACCTTYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDACTION') 
 CREATE TABLE T_VIP_CARDACTION (
FID BIGINT DEFAULT 0 NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FCARDNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FDATE DATETIME,
FOPTION INT DEFAULT 1 NOT NULL,
FAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FBALANCEAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FBALANCEVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FBALANCEPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ',
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDLEVEL') 
 CREATE TABLE T_VIP_CARDLEVEL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FPRIORITY BIGINT DEFAULT 0 NOT NULL,
FISPRESET VARCHAR(30) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDLEVEL_L') 
 CREATE TABLE T_VIP_CARDLEVEL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDRULE_L') 
 CREATE TABLE T_VIP_CARDRULE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(80) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDRULEENTRY') 
 CREATE TABLE T_VIP_CARDRULEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FINITVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISSUBACCOUNT CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDRULEENTRY2') 
 CREATE TABLE T_VIP_CARDRULEENTRY2 (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FINITVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FVALIDDAYS INT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FDETAILID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDTYPE') 
 CREATE TABLE T_VIP_CARDTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCARDMEDIA CHAR(1) DEFAULT ' ' NOT NULL,
FCARDLEVEL BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FVALIDDAYS BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDTYPE_L') 
 CREATE TABLE T_VIP_CARDTYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMENTS VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDTYPEACCTS') 
 CREATE TABLE T_VIP_CARDTYPEACCTS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPREVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDTYPESUBACCTS') 
 CREATE TABLE T_VIP_CARDTYPESUBACCTS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPREVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FVALIDDAYS INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CHANGECARDBILL') 
 CREATE TABLE T_VIP_CHANGECARDBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FCARDNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FNEWCARDID BIGINT DEFAULT 0 NOT NULL,
FNEWCARDNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CHANGECARDBILL_L') 
 CREATE TABLE T_VIP_CHANGECARDBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CODERULE') 
 CREATE TABLE T_VIP_CODERULE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FSPLITSIGN VARCHAR(6) DEFAULT ' ' NOT NULL,
FUSEINCARD CHAR(1) DEFAULT ' ' NOT NULL,
FUSEINCOUPON CHAR(1) DEFAULT ' ' NOT NULL,
FISUPGRADE CHAR(1) DEFAULT ' ' NOT NULL,
FSPLITLEN INT DEFAULT 0 NOT NULL,
FEXAMPLE VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXAMPLELENGTH VARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CODERULE_L') 
 CREATE TABLE T_VIP_CODERULE_L (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CODERULEENTRY') 
 CREATE TABLE T_VIP_CODERULEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FATTRIBUTETYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FSETTINGVALUE VARCHAR(40) DEFAULT ' ' NOT NULL,
FFORMAT VARCHAR(100) DEFAULT ' ' NOT NULL,
FLENGTH INT DEFAULT 0 NOT NULL,
FISSPLITSIGN CHAR(6) DEFAULT ' ' NOT NULL,
FSPLITSIGN CHAR(1) DEFAULT ' ' NOT NULL,
FINITIAL INT DEFAULT 0 NOT NULL,
FSTEP INT DEFAULT 0 NOT NULL,
FSKIPCHAR VARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CODERULEMAXSERIAL') 
 CREATE TABLE T_VIP_CODERULEMAXSERIAL (
FID BIGINT DEFAULT 0 NOT NULL,
FCODERULE BIGINT DEFAULT 0 NOT NULL,
FMAXSERIAL BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CONSUMEBILLENTRY') 
 CREATE TABLE T_VIP_CONSUMEBILLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CONSUMEBILLENTRY1') 
 CREATE TABLE T_VIP_CONSUMEBILLENTRY1 (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCOUPONID BIGINT DEFAULT 0 NOT NULL,
FFACEVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CONSUMEBILLENTRY3') 
 CREATE TABLE T_VIP_CONSUMEBILLENTRY3 (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CONSUMEBILLENTRY4') 
 CREATE TABLE T_VIP_CONSUMEBILLENTRY4 (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCOUPONMEDIA VARCHAR(80) DEFAULT ' ' NOT NULL,
FCOUPONRULEID BIGINT DEFAULT 0 NOT NULL,
FCOUPONNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FQTY INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CONSUMEBILLENTRY22') 
 CREATE TABLE T_VIP_CONSUMEBILLENTRY22 (
FSUBDETAILID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CONSUMEBILLENTRY33') 
 CREATE TABLE T_VIP_CONSUMEBILLENTRY33 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_EXPOINTSBILL_L') 
 CREATE TABLE T_VIP_EXPOINTSBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_EXPOINTSBILLENTRY') 
 CREATE TABLE T_VIP_EXPOINTSBILLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FQTY INT DEFAULT 0 NOT NULL,
FPOINTS DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_EXPOINTSBILLENTRY1') 
 CREATE TABLE T_VIP_EXPOINTSBILLENTRY1 (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCOUPONMEDIA VARCHAR(80) DEFAULT ' ' NOT NULL,
FCOUPONRULEID BIGINT DEFAULT 0 NOT NULL,
FCOUPONNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FQTY INT DEFAULT 0 NOT NULL,
FPOINTS DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_EXPOINTSBILLENTRY2') 
 CREATE TABLE T_VIP_EXPOINTSBILLENTRY2 (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPOINTS DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_ISSUECARDBILL') 
 CREATE TABLE T_VIP_ISSUECARDBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FCARDNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FCARDTYPE BIGINT DEFAULT 0 NOT NULL,
FCARDLEVEL BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID INT DEFAULT 0 NOT NULL,
FCARDMEDIA VARCHAR(80) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FVALIDDAYS INT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_ISSUECARDBILL_L') 
 CREATE TABLE T_VIP_ISSUECARDBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_ISSUECARDBILLENTRY') 
 CREATE TABLE T_VIP_ISSUECARDBILLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FINITVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISSUBACCOUNT CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_ISSUECARDBILLENTRY2') 
 CREATE TABLE T_VIP_ISSUECARDBILLENTRY2 (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FINITVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FVALIDDAYS INT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_LABEL') 
 CREATE TABLE T_VIP_LABEL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLABELGROUPID BIGINT DEFAULT 0 NOT NULL,
FISPRESET CHAR(1) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_LABEL_L') 
 CREATE TABLE T_VIP_LABEL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_LABELGROUP') 
 CREATE TABLE T_VIP_LABELGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCOLOR VARCHAR(100) DEFAULT ' ' NOT NULL,
FISPRESET CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_LABELGROUP_L') 
 CREATE TABLE T_VIP_LABELGROUP_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHAMTBILL_L') 
 CREATE TABLE T_VIP_RECHAMTBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHAMTBILLENTRY') 
 CREATE TABLE T_VIP_RECHAMTBILLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISSUBACCOUNT CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHAMTBILLENTRY2') 
 CREATE TABLE T_VIP_RECHAMTBILLENTRY2 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHAMTBILLENTRY3') 
 CREATE TABLE T_VIP_RECHAMTBILLENTRY3 (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCOUPONMEDIA VARCHAR(80) DEFAULT ' ' NOT NULL,
FCOUPONRULEID BIGINT DEFAULT 0 NOT NULL,
FCOUPONNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FQTY INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_SUBCARDACCTS') 
 CREATE TABLE T_VIP_SUBCARDACCTS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FVALIDDAYS INT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_TRANSFERBILL') 
 CREATE TABLE T_VIP_TRANSFERBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FVIPID_OUT BIGINT DEFAULT 0 NOT NULL,
FCARDID_OUT BIGINT DEFAULT 0 NOT NULL,
FVIPID_IN BIGINT DEFAULT 0 NOT NULL,
FCARDID_IN BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_TRANSFERBILL_L') 
 CREATE TABLE T_VIP_TRANSFERBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPADDRESS') 
 CREATE TABLE T_VIP_VIPADDRESS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FADDRTYPE BIGINT DEFAULT 0 NOT NULL,
FISDEFAULT CHAR(1) DEFAULT ' ' NOT NULL,
FLINKPHONE VARCHAR(80) DEFAULT ' ' NOT NULL,
FDISTRICT BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPCARD_L') 
 CREATE TABLE T_VIP_VIPCARD_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPCERTIFICATE') 
 CREATE TABLE T_VIP_VIPCERTIFICATE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCERTIFICATETYPE BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FISDEFAULT CHAR(1) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPCERTIFICATE_L') 
 CREATE TABLE T_VIP_VIPCERTIFICATE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPCOMMDAY') 
 CREATE TABLE T_VIP_VIPCOMMDAY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCOMMDAYTYPE BIGINT DEFAULT 0 NOT NULL,
FCOMMDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPCOMMDAY_L') 
 CREATE TABLE T_VIP_VIPCOMMDAY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPINFO') 
 CREATE TABLE T_VIP_VIPINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FPHONENUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FBIRTHDAY DATETIME,
FSEX CHAR(1) DEFAULT ' ' NOT NULL,
FNATIONAL BIGINT DEFAULT 0 NOT NULL,
FEDUCATIONAL BIGINT DEFAULT 0 NOT NULL,
FEMAIL VARCHAR(80) DEFAULT ' ' NOT NULL,
FHEADIMAGE VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPINFO_L') 
 CREATE TABLE T_VIP_VIPINFO_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPINFO_U') 
 CREATE TABLE T_VIP_VIPINFO_U (
FID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FVIPTYPE BIGINT DEFAULT 0 NOT NULL,
FINITIATIONTIME DATETIME,
FCARDSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPINFOGROUP') 
 CREATE TABLE T_VIP_VIPINFOGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT ' ' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FSTANDARD VARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPINFOGROUP_L') 
 CREATE TABLE T_VIP_VIPINFOGROUP_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FFULLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHTIMESBILL_L') 
 CREATE TABLE T_VIP_RECHTIMESBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHTIMESBILLENTRY') 
 CREATE TABLE T_VIP_RECHTIMESBILLENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHTIMESBILLENTRY1') 
 CREATE TABLE T_VIP_RECHTIMESBILLENTRY1 (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISSUBACCOUNT CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHTIMESBILLENTRY2') 
 CREATE TABLE T_VIP_RECHTIMESBILLENTRY2 (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHTIMESBILLENTRY3') 
 CREATE TABLE T_VIP_RECHTIMESBILLENTRY3 (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCOUPONMEDIA VARCHAR(80) DEFAULT ' ' NOT NULL,
FCOUPONRULEID BIGINT DEFAULT 0 NOT NULL,
FCOUPONNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FQTY INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_ADJUSTBALBILL') 
 CREATE TABLE T_VIP_ADJUSTBALBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_ADJUSTBALBILL_L') 
 CREATE TABLE T_VIP_ADJUSTBALBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDACTION_H') 
 CREATE TABLE T_VIP_CARDACTION_H (
FID BIGINT DEFAULT 0 NOT NULL,
FCARDTYPE BIGINT DEFAULT 0 NOT NULL,
FCARDLEVEL BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID INT DEFAULT 0 NOT NULL,
FCARDSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FFREEZESTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDACTION_U') 
 CREATE TABLE T_VIP_CARDACTION_U (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FOPERTYPE BIGINT DEFAULT 0 NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CODERULEMAXSERIAL_L') 
 CREATE TABLE T_VIP_CODERULEMAXSERIAL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CONSUMEBILL_L') 
 CREATE TABLE T_VIP_CONSUMEBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPLABEL') 
 CREATE TABLE T_VIP_VIPLABEL (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CONSUMEBILL') 
 CREATE TABLE T_VIP_CONSUMEBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FOFFSETSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FOPTION INT DEFAULT 1 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_EXPOINTSBILL') 
 CREATE TABLE T_VIP_EXPOINTSBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLSTATUS VARCHAR(1) DEFAULT ' ' NOT NULL,
FOFFSETSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FOPTION INT DEFAULT 1 NOT NULL,
FPOINTS DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCONSUMEPOINTS DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHAMTBILL') 
 CREATE TABLE T_VIP_RECHAMTBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FOFFSETSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FOPTION INT DEFAULT 1 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHTIMESBILL') 
 CREATE TABLE T_VIP_RECHTIMESBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FOFFSETSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FOPTION INT DEFAULT 1 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPADDRESS_L') 
 CREATE TABLE T_VIP_VIPADDRESS_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FLINKMAN VARCHAR(80) DEFAULT ' ' NOT NULL,
FADDRESS VARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CONSUMEBILLENTRY2') 
 CREATE TABLE T_VIP_CONSUMEBILLENTRY2 (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_TRANSFERBILLENTRY') 
 CREATE TABLE T_VIP_TRANSFERBILLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMT_TRANS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FVALUE_TRANS DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE_TRANS DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISSUBACCOUNT CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_TRANSFERBILLENTRY2') 
 CREATE TABLE T_VIP_TRANSFERBILLENTRY2 (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMT_TRANS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FVALUE_TRANS DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE_TRANS DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_ADJUSTBALBILLENTRY') 
 CREATE TABLE T_VIP_ADJUSTBALBILLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMT_ADJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FVALUE_ADJ DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE_ADJ DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISSUBACCOUNT CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_ADJUSTBALBILLENTRY2') 
 CREATE TABLE T_VIP_ADJUSTBALBILLENTRY2 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMT_ADJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FVALUE_ADJ DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE_ADJ DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_EXPOINTSBILLENTRY3') 
 CREATE TABLE T_VIP_EXPOINTSBILLENTRY3 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPOINTS DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDACTION_D') 
 CREATE TABLE T_VIP_CARDACTION_D (
FID BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSUBISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FSUBSTARTDATE DATETIME,
FSUBENDDATE DATETIME,
FCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPCARD') 
 CREATE TABLE T_VIP_VIPCARD (
FID BIGINT DEFAULT 0 NOT NULL,
FCARDNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FCARDTYPE BIGINT DEFAULT 0 NOT NULL,
FCARDLEVEL BIGINT DEFAULT 0 NOT NULL,
FISDEFAULT CHAR(1) DEFAULT ' ' NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FDISTRIBUTEORGID BIGINT DEFAULT 0 NOT NULL,
FACTIVEDATE DATETIME,
FCURRENCYID INT DEFAULT 0 NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FVALIDDAYS SMALLINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCARDSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FFREEZESTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCARDMEDIA VARCHAR(80) DEFAULT ' ' NOT NULL,
FCARDRULEID BIGINT DEFAULT 0 NOT NULL,
FUSEDCARDNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDRULE') 
 CREATE TABLE T_VIP_CARDRULE (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(40) DEFAULT ' ' NOT NULL,
FCARDTYPE BIGINT DEFAULT 0 NOT NULL,
FCARDLEVEL BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID INT DEFAULT 0 NOT NULL,
FCARDMEDIA VARCHAR(80) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FVALIDDAYS INT DEFAULT 0 NOT NULL,
FCARDQTY BIGINT DEFAULT 0 NOT NULL,
FMAKEDCARDQTY BIGINT DEFAULT 0 NOT NULL,
FCARDNORULE VARCHAR(36) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCARDSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_COUPONACTION') 
 CREATE TABLE T_COUPON_COUPONACTION (
FID BIGINT DEFAULT 0 NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FCOUPONID BIGINT DEFAULT 0 NOT NULL,
FCOUPONNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FDATE DATETIME,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_COUPONINFO') 
 CREATE TABLE T_COUPON_COUPONINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FCOUPONNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCOUPONMEDIA CHAR(1) DEFAULT ' ' NOT NULL,
FCOUPONTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FFACEVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCOUPONSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCOUPONRULEID BIGINT DEFAULT 0 NOT NULL,
FVALIDDAYS INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_COUPONINFO_L') 
 CREATE TABLE T_COUPON_COUPONINFO_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FCOUPONNAME VARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_COUPONINFO_U') 
 CREATE TABLE T_COUPON_COUPONINFO_U (
FID BIGINT DEFAULT 0 NOT NULL,
FMAKEORGID BIGINT DEFAULT 0 NOT NULL,
FMAKETIME DATETIME,
FSENDORGID BIGINT DEFAULT 0 NOT NULL,
FSENDTIME DATETIME,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FUSETIME DATETIME,
FRECORGID BIGINT DEFAULT 0 NOT NULL,
FRECTIME DATETIME,
FSTATUS VARCHAR(1) DEFAULT 'C' NOT NULL,
FENABLE VARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_COUPONRULE') 
 CREATE TABLE T_COUPON_COUPONRULE (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FCOUPONMEDIA VARCHAR(1) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCOUPONTYPE BIGINT DEFAULT 0 NOT NULL,
FCARDLEVEL BIGINT DEFAULT 0 NOT NULL,
FFACEVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVALIDDAYS INT DEFAULT 0 NOT NULL,
FCOUPONQTY BIGINT DEFAULT 0 NOT NULL,
FMAKEDCOUPONQTY BIGINT DEFAULT 0 NOT NULL,
FCOUPONNORULE VARCHAR(36) DEFAULT ' ' NOT NULL,
FCOUPONSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_COUPONRULE_L') 
 CREATE TABLE T_COUPON_COUPONRULE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_COUPONRULE_U') 
 CREATE TABLE T_COUPON_COUPONRULE_U (
FID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FENABLE CHAR(1) DEFAULT '' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_COUPONACTION_H') 
 CREATE TABLE T_COUPON_COUPONACTION_H (
FID BIGINT DEFAULT 0 NOT NULL,
FCOUPONTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCOUPONMEDIA CHAR(1) DEFAULT ' ' NOT NULL,
FFACEVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCOUPONSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCOUPONRULEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_COUPONACTION_U') 
 CREATE TABLE T_COUPON_COUPONACTION_U (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FOPERTYPE BIGINT DEFAULT 0 NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_ISSUECOUPONBILL') 
 CREATE TABLE T_COUPON_ISSUECOUPONBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_ISSUECOUPONBILL_L') 
 CREATE TABLE T_COUPON_ISSUECOUPONBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_ISSUECOUPONENTRY') 
 CREATE TABLE T_COUPON_ISSUECOUPONENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCOUPONID BIGINT DEFAULT 0 NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_RECCOUPONBILL') 
 CREATE TABLE T_COUPON_RECCOUPONBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_RECCOUPONBILL_L') 
 CREATE TABLE T_COUPON_RECCOUPONBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_RECCOUPONENTRY') 
 CREATE TABLE T_COUPON_RECCOUPONENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCOUPONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_USECOUPONBILL') 
 CREATE TABLE T_COUPON_USECOUPONBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FOPTION BIGINT DEFAULT 1 NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_USECOUPONBILL_L') 
 CREATE TABLE T_COUPON_USECOUPONBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_USECOUPONENTRY') 
 CREATE TABLE T_COUPON_USECOUPONENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCOUPONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_PRESENTBILL') 
 CREATE TABLE T_VIP_PRESENTBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FOPTION INT DEFAULT 1 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_PRESENTBILL_L') 
 CREATE TABLE T_VIP_PRESENTBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_PRESENTBILLENTRY') 
 CREATE TABLE T_VIP_PRESENTBILLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISSUBACCOUNT CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_PRESENTBILLENTRY2') 
 CREATE TABLE T_VIP_PRESENTBILLENTRY2 (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_DEDUCTBILL') 
 CREATE TABLE T_VIP_DEDUCTBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FOPTION INT DEFAULT 1 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_DEDUCTBILL_L') 
 CREATE TABLE T_VIP_DEDUCTBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_DEDUCTBILLENTRY') 
 CREATE TABLE T_VIP_DEDUCTBILLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMT_ADJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FVALUE_ADJ DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE_ADJ DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISSUBACCOUNT CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_DEDUCTBILLENTRY2') 
 CREATE TABLE T_VIP_DEDUCTBILLENTRY2 (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMT_ADJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FVALUE_ADJ DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE_ADJ DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);



/**End D:\nextcloud\PDM_UPGRADE\PDM1\MBIS_table.sql **/
