﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MBIS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_VIP_PRESENTTYPE' AND KSQL_COL_NAME ='FISPRESET') 
 ALTER TABLE T_VIP_PRESENTTYPE ADD (FISPRESET CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BASE_SHOPINFO' AND KSQL_COL_NAME ='FORGID') 
 ALTER TABLE T_BASE_SHOPINFO ADD (FORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BASE_SHOPINFO' AND KSQL_COL_NAME ='FBIZUNITID') 
 ALTER TABLE T_BASE_SHOPINFO ADD (FBIZUNITID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BASE_SHOPINFO_L' AND KSQL_COL_NAME ='FDESCRIPTION') 
 ALTER TABLE T_BASE_SHOPINFO_L ADD (FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCHEME_RECHARGE') 
 CREATE TABLE T_SCHEME_RECHARGE (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FSCHEMETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FSCHEMESTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FPRIORITY INT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FPICTUREFILE VARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCHEME_RECHARGE_C') 
 CREATE TABLE T_SCHEME_RECHARGE_C (
FID BIGINT DEFAULT 0 NOT NULL,
FVIPSCOPE CHAR(1) DEFAULT ' ' NOT NULL,
FVIPAPPLY CHAR(1) DEFAULT ' ' NOT NULL,
FRECHARGETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FSHOPSCOPE CHAR(1) DEFAULT ' ' NOT NULL,
FCHANNELSCOPE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCHEME_RECHARGE_CHANNEL') 
 CREATE TABLE T_SCHEME_RECHARGE_CHANNEL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCHEME_RECHARGE_COUNT') 
 CREATE TABLE T_SCHEME_RECHARGE_COUNT (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPRESENTTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FVALIDDAYS INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCHEME_RECHARGE_COUPON') 
 CREATE TABLE T_SCHEME_RECHARGE_COUPON (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCOUPONRULE BIGINT DEFAULT 0 NOT NULL,
FCOUPONQTY INT DEFAULT 0 NOT NULL,
FVALIDTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FTIMETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FDELAYDAYS INT DEFAULT 0 NOT NULL,
FVALIDDAYS INT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCHEME_RECHARGE_ITEM') 
 CREATE TABLE T_SCHEME_RECHARGE_ITEM (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FITEMQTY INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCHEME_RECHARGE_L') 
 CREATE TABLE T_SCHEME_RECHARGE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(80) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCHEME_RECHARGE_RET') 
 CREATE TABLE T_SCHEME_RECHARGE_RET (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSEQUENCE INT DEFAULT 0 NOT NULL,
FRETVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETPRESENTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCHEME_RECHARGE_RULE') 
 CREATE TABLE T_SCHEME_RECHARGE_RULE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVALUEEND DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCHEME_RECHARGE_RULE_T') 
 CREATE TABLE T_SCHEME_RECHARGE_RULE_T (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPRESENTTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPRESENTPOLICY CHAR(1) DEFAULT ' ' NOT NULL,
FPRESENTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDESTCARDLEVEL BIGINT DEFAULT 0 NOT NULL,
FLEVELVALIDDAYS INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCHEME_RECHARGE_SHOP') 
 CREATE TABLE T_SCHEME_RECHARGE_SHOP (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBIZUNITID BIGINT DEFAULT 0 NOT NULL,
FSHOPID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCHEME_RECHARGE_T') 
 CREATE TABLE T_SCHEME_RECHARGE_T (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPRESENTTYPE BIGINT DEFAULT 0 NOT NULL,
FPRESENTPOLICY CHAR(1) DEFAULT ' ' NOT NULL,
FPRESENTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDESTCARDLEVEL BIGINT DEFAULT 0 NOT NULL,
FLEVELVALIDDAYS INT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCHEME_RECHARGE_T_R') 
 CREATE TABLE T_SCHEME_RECHARGE_T_R (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRETTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FRETPRESENTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETDATETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FRETDATE DATETIME,
FRETPERIODDAYS INT DEFAULT 0 NOT NULL,
FRETTIMES INT DEFAULT 0 NOT NULL,
FRETVALUETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FRETFIRSTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETFIRSTPRESENTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETINCREASERATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCHEME_RECHARGE_VIP') 
 CREATE TABLE T_SCHEME_RECHARGE_VIP (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDIMEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCHEME_RECHARGE_VIP_T') 
 CREATE TABLE T_SCHEME_RECHARGE_VIP_T (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVALUEID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_DIME') 
 CREATE TABLE T_VIP_DIME (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FFIELDTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FKEY VARCHAR(100) DEFAULT ' ' NOT NULL,
FENTITYID VARCHAR(100) DEFAULT ' ' NOT NULL,
FISPRESET CHAR(1) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_DIME_L') 
 CREATE TABLE T_VIP_DIME_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ',
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_DIMEENTRY') 
 CREATE TABLE T_VIP_DIMEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FVALUE VARCHAR(100) DEFAULT ' ' NOT NULL,
FCONTENT VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_DIMEGROUP') 
 CREATE TABLE T_VIP_DIMEGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FISPRESET CHAR(1) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_DIMEGROUP_L') 
 CREATE TABLE T_VIP_DIMEGROUP_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);

 EXEC p_AlterColumn 'T_SCHEME_RECHARGE_RULE_T', 'FPRESENTTYPE', 'BIGINT', 'NOT NULL', '1111', '0';

 EXEC p_AlterColumn 'T_VIP_CARDTYPE_S', 'FSETTLETYPE', 'CHAR(1)', 'NOT NULL', '1111', ''' ''';

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MBIS_table.sql **/
