﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MBIS_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_SCHEME_POINTS', 'T_SCHEME_POINTS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_POINTS') CREATE INDEX IDX_SCHEME_POINTS ON T_SCHEME_POINTS ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_SCHEME_POINTS_C', 'T_SCHEME_POINTS_C', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_POINTS_C') CREATE INDEX IDX_SCHEME_POINTS_C ON T_SCHEME_POINTS_C ( FVIPSCOPE );


 EXEC P_ALTERPK 'PK_T_SCHEME_POINTS_CHANNEL', 'T_SCHEME_POINTS_CHANNEL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_POINTS_CHANNEL') CREATE INDEX IDX_SCHEME_POINTS_CHANNEL ON T_SCHEME_POINTS_CHANNEL ( FID );


 EXEC P_ALTERPK 'PK_T_SCHEME_POINTS_ITEM', 'T_SCHEME_POINTS_ITEM', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_POINTS_ITEM') CREATE INDEX IDX_SCHEME_POINTS_ITEM ON T_SCHEME_POINTS_ITEM ( FID );


 EXEC P_ALTERPK 'PK_T_SCHEME_POINTS_L', 'T_SCHEME_POINTS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_POINTS_L') CREATE INDEX IDX_SCHEME_POINTS_L ON T_SCHEME_POINTS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_SCHEME_POINTS_RULE', 'T_SCHEME_POINTS_RULE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_POINTS_RULE') CREATE INDEX IDX_SCHEME_POINTS_RULE ON T_SCHEME_POINTS_RULE ( FID );


 EXEC P_ALTERPK 'PK_T_SCHEME_POINTS_SETTLE', 'T_SCHEME_POINTS_SETTLE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_POINTS_SETTLE') CREATE INDEX IDX_SCHEME_POINTS_SETTLE ON T_SCHEME_POINTS_SETTLE ( FID );


 EXEC P_ALTERPK 'PK_T_SCHEME_POINTS_SHOP', 'T_SCHEME_POINTS_SHOP', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_POINTS_SHOP') CREATE INDEX IDX_SCHEME_POINTS_SHOP ON T_SCHEME_POINTS_SHOP ( FID );


 EXEC P_ALTERPK 'PK_T_SCHEME_POINTS_TIMES', 'T_SCHEME_POINTS_TIMES', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_POINTS_TIMES') CREATE INDEX IDX_SCHEME_POINTS_TIMES ON T_SCHEME_POINTS_TIMES ( FID );


 EXEC P_ALTERPK 'PK_T_SCHEME_POINTS_VIP', 'T_SCHEME_POINTS_VIP', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_POINTS_VIP') CREATE INDEX IDX_SCHEME_POINTS_VIP ON T_SCHEME_POINTS_VIP ( FDIMEID );


 EXEC P_ALTERPK 'PK_T_SCHEME_POINTS_VIP_T', 'T_SCHEME_POINTS_VIP_T', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_POINTS_VIP_T') CREATE INDEX IDX_SCHEME_POINTS_VIP_T ON T_SCHEME_POINTS_VIP_T ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_VIP_RECHAMTBILL_D', 'T_VIP_RECHAMTBILL_D', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_RECHAMTBILL_D') CREATE INDEX IDX_VIP_RECHAMTBILL_D ON T_VIP_RECHAMTBILL_D ( FSHOPID );


 EXEC P_ALTERPK 'PK_T_VIP_RECHAMTBILL_P', 'T_VIP_RECHAMTBILL_P', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_RECHAMTBILL_P') CREATE INDEX IDX_VIP_RECHAMTBILL_P ON T_VIP_RECHAMTBILL_P ( FBASECURRENCYID );


 EXEC P_ALTERPK 'PK_T_VIP_RECHAMTBILL_PAY', 'T_VIP_RECHAMTBILL_PAY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_RECHAMTBILL_PAY') CREATE INDEX IDX_VIP_RECHAMTBILL_PAY ON T_VIP_RECHAMTBILL_PAY ( FID );


 EXEC P_ALTERPK 'PK_T_VIP_RECHAMTBILL_RET', 'T_VIP_RECHAMTBILL_RET', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_RECHAMTBILL_RET') CREATE INDEX IDX_VIP_RECHAMTBILL_RET ON T_VIP_RECHAMTBILL_RET ( FID );


 EXEC P_ALTERPK 'PK_T_VIP_RECHAMTBILL_T', 'T_VIP_RECHAMTBILL_T', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_RECHAMTBILL_T') CREATE INDEX IDX_VIP_RECHAMTBILL_T ON T_VIP_RECHAMTBILL_T ( FRETTYPE );


 EXEC P_ALTERPK 'PK_T_VIP_RECHAMTBILLENTRY4', 'T_VIP_RECHAMTBILLENTRY4', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_RECHAMTBILLENTRY4') CREATE INDEX IDX_VIP_RECHAMTBILLENTRY4 ON T_VIP_RECHAMTBILLENTRY4 ( FID );


 EXEC P_ALTERPK 'PK_T_VIP_RECHAMTBILLENTRY5', 'T_VIP_RECHAMTBILLENTRY5', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_RECHAMTBILLENTRY5') CREATE INDEX IDX_VIP_RECHAMTBILLENTRY5 ON T_VIP_RECHAMTBILLENTRY5 ( FID );


 EXEC P_ALTERPK 'PK_T_VIP_RECHTIMESBILL_D', 'T_VIP_RECHTIMESBILL_D', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_RECHTIMESBILL_D') CREATE INDEX IDX_VIP_RECHTIMESBILL_D ON T_VIP_RECHTIMESBILL_D ( FSHOPID );


 EXEC P_ALTERPK 'PK_T_VIP_RECHTIMESBILL_P', 'T_VIP_RECHTIMESBILL_P', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_RECHTIMESBILL_P') CREATE INDEX IDX_VIP_RECHTIMESBILL_P ON T_VIP_RECHTIMESBILL_P ( FBASECURRENCYID );


 EXEC P_ALTERPK 'PK_T_VIP_RECHTIMESBILL_PAY', 'T_VIP_RECHTIMESBILL_PAY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_RECHTIMESBILL_PAY') CREATE INDEX IDX_VIP_RECHTIMESBILL_PAY ON T_VIP_RECHTIMESBILL_PAY ( FID );


 EXEC P_ALTERPK 'PK_T_VIP_RECHTIMESBILLENTRY4', 'T_VIP_RECHTIMESBILLENTRY4', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_RECHTIMESBILLENTRY4') CREATE INDEX IDX_VIP_RECHTIMESBILLENTRY4 ON T_VIP_RECHTIMESBILLENTRY4 ( FID );


 EXEC P_ALTERPK 'PK_T_VIP_RECHTIMESBILLENTRY5', 'T_VIP_RECHTIMESBILLENTRY5', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_VIP_RECHTIMESBILLENTRY5') CREATE INDEX IDX_VIP_RECHTIMESBILLENTRY5 ON T_VIP_RECHTIMESBILLENTRY5 ( FID );


 EXEC P_ALTERPK 'PK_T_SCHEME_POINTS_TIMES_T', 'T_SCHEME_POINTS_TIMES_T', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_POINTS_TIMES_T') CREATE INDEX IDX_SCHEME_POINTS_TIMES_T ON T_SCHEME_POINTS_TIMES_T ( FENTRYID );


 EXEC p_DropIdx 'IDX_SCHEME_POINTS_TIMES', 'T_SCHEME_POINTS_TIMES';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCHEME_POINTS_TIMES') CREATE INDEX IDX_SCHEME_POINTS_TIMES ON T_SCHEME_POINTS_TIMES ( FDIMEID );

 
/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MBIS_constraint.sql **/
